#
# spec file for package notify-sharp
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# This package installs in /usr/lib and .pc file goes to /usr/share/pkgconfig
# Define _libexecdir for <= 1110
%if 0%{?suse_version} <= 1110
%define _libexecdir %{_prefix}/lib
%endif

Name:           notify-sharp3
%define _name   notify-sharp
Url:            https://www.meebey.net/projects/notify-sharp/
Version:        3.0.3
Release:        bp155.2.10
License:        MIT
Group:          Development/Libraries/Other
Summary:        A C# client implementation for Desktop Notifications
Source:         https://www.meebey.net/projects/notify-sharp/downloads/%{_name}-%{version}.tar.gz
Patch:          notify-sharp-use_dbussharp_2.pc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  autoconf
BuildRequires:  automake
%if 0%{?suse_version} >= 1130
BuildRequires:  pkgconfig(dbus-sharp-2.0)
BuildRequires:  pkgconfig(dbus-sharp-glib-2.0)
BuildRequires:  pkgconfig(gtk-sharp-3.0)
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(monodoc)
%else
BuildRequires:  dbus-sharp-devel
BuildRequires:  dbus-sharp-glib-devel
BuildRequires:  gtk-sharp3
BuildRequires:  mono-devel
BuildRequires:  monodoc
%endif
Recommends:     notification-daemon

%description
notify-sharp is a C# client implementation for Desktop Notifications,
i.e. notification-daemon. It is inspired by the libnotify API.

Desktop Notifications provide a standard way of doing passive pop-up
notifications on the Linux desktop. These are designed to notify the
user of something without interrupting their work with a dialog box
that they must close. Passive popups can automatically disappear after
a short period of time.

%package devel
Summary:        A C# client implementation for Desktop Notifications
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description devel
notify-sharp is a C# client implementation for Desktop Notifications,
i.e. notification-daemon. It is inspired by the libnotify API.

Desktop Notifications provide a standard way of doing passive pop-up
notifications on the Linux desktop. These are designed to notify the
user of something without interrupting their work with a dialog box
that they must close. Passive popups can automatically disappear after
a short period of time.

%prep
%setup -q -n %{_name}-%{version}
%patch -p1

%build
NOCONFIGURE=1 autoreconf -fi
%configure \
   --libdir=%{_prefix}/lib \
   --disable-docs
make %{?jobs:-j%jobs}

%install
# For backward compatability with <= 1110
%makeinstall

# Move .pc file to /usr/share/pkgconfig (for no arch) and remove from libdir
mkdir -p %{buildroot}%{_datadir}/pkgconfig/
mv %{buildroot}%{_prefix}/lib/pkgconfig/notify-sharp-3.0.pc %{buildroot}%{_datadir}/pkgconfig/notify-sharp-3.0.pc

%files
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/%{_name}/
%{_prefix}/lib/mono/%{_name}-3.0/

%files devel
%defattr(-,root,root)
%{_datadir}/pkgconfig/%{_name}-3.0.pc

%changelog
* Thu May 21 2015 dimstar@opensuse.org
- Rename .spec and .changes to notify-sharp3, to match the package
  container name.
* Wed Mar 25 2015 p.drouand@gmail.com
- Replace pkgconfig(dbus-sharp-1.0) and pkgconfig(dbus-sharp-glib-1.0)
  with pkgconfig(dbus-sharp-2.0) and pkgconfig(dbus-sharp-glib-2.0);
- Add notify-sharp-use_dbussharp_2.pc.patch from ArchLinux; bump
  dependencies version to make pkgconfig find packages
* Tue Jan  6 2015 mailaender@opensuse.org
- Update to upstream version 3.0.3
- dropped ancient
  * notify-sharp-fix-app-name-derivation.patch
  * notify-sharp-use-dbus-sharp.patch
* Wed Jan 18 2012 vuntz@opensuse.org
- Update the tarball to revision 3032, which seems to be what all
  other distributions are using; this is needed by some apps like
  smuxi. Note that it's still version 0.4.0 somehow, since there
  was no official release.
- Add notify-sharp-fix-app-name-derivation.patch: fixes an issue
  with notification naming with banshee. Taken from Debian.
- Replace notify-sharp-use-dbus-sharp.patch with patch from
  https://github.com/hyperair/notify-sharp.
- Add autoconf and automake BuildRequires, needed for the
  autoreconf call.
* Thu Jul  7 2011 nmarques@opensuse.org
- Add notify-sharp-use-dbus-sharp.patch - uses dbus-sharp instead
  of deprecated ndesk-dbus.
- Spec changes:
  + Add devel sub-package.
  + Add pkgconfig() calls for >= 1130.
  + Package is noarch, installs on %%{_libexecdir} and .pc file
    goes to %%{_datadir} (compliant with other mono packages).
  + Removed %%clean section (not required) anymore.
  + Minor cleanups.
* Sun Apr 26 2009 vuntz@novell.com
- Do not Require notification-daemon, but Recommend it: there's no
  reason to hard-require it.
* Mon Mar 24 2008 ro@suse.de
- added ndesk-dbus-glib-devel to buildreq
* Fri Nov  9 2007 mauro@suse.de
- Added a Requires notification-daemon to fix bnc #328526.
* Mon Aug  6 2007 ro@suse.de
- fix build on lib64 (mono is in /usr/lib regardless)
* Mon Jul 23 2007 mauro@suse.de
- Package added to pdb.
- Initial submit to factory.
- Docs disabled in this version in order to get the build done.
* Thu Jun 21 2007 maw@suse.de
- Don't build as root.
* Mon Jun 11 2007 12:00:00 EST 2007 - calvinrg@gmail.com
- Initial package, version 0.4.0
